<?php
/*
  Template Name: Blog Page
 */
get_header();
$sidebar = '';
$center = '';
$a = get_option('blog-layout');
switch ($a) {
    case 'content-sidebar':
        $sidebar = 'right';
        break;
    case 'sidebar-content':
        $sidebar = 'left';
        break;
    case 'content':
        $center = 'col-md-12 col-sm-12';
        break;
    default:
        $sidebar = 'right';
}
$b = get_option('container-layout');
switch ($b) {
   case 'container':
       $container = 'container';
       break;
   case 'fullwidth-container':
       $container = 'container-fluid';
       break;
   default:
       $container = 'container-fluid';
}
?>
<div style="background-color:white;" class="<?php echo $container; ?>">
   <div class="cw-content <?php if ($container == "container-fluid") {
   echo "container";
} ?>">
<div class="row content">
    <?php if ($sidebar == 'left') { ?>
        <div class="col-md-4 col-sm-4">
            <div class="sidebar <?php echo $sidebar; ?>">
                <?php get_sidebar(); ?>
            </div>
        </div>
    <?php } ?>

    <div class="<?php
    if ($center != '') {
        echo $center;
    } else {
        echo 'col-md-8';
    }
    ?>">

        <div class="content-wrap">
            <div class="content-info">
            </div>
            <div class="blog" id="blogmain">
                <ul class="blog_post">
                    <?php
                    $limit = get_option('posts_per_page');
                    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                    query_posts('showposts=' . $limit . '&paged=' . $paged);
                    $wp_query->is_archive = true;
                    $wp_query->is_home = false;
                    ?>
                    <!-- Start the Loop. -->
                    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                            <li id="post-<?php the_ID(); ?>" <?php post_class('animated'); ?>>
                                <?php if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) { ?>
                                    <a href="<?php the_permalink(); ?>"><div class='img_thumb_blog'><span></span><?php the_post_thumbnail('post_thumbnail', array('class' => 'postimg')); ?></div></a>
                                    <?php
                                } else {
                                   
                                }
                                ?>
                                <h1><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to ', 'colorway') . the_title_attribute(); ?>"><?php the_title(); ?></a></h1>

                                <ul class="post_meta">
                                    <?php
                                    if (inkthemes_get_option('inkthemes_author') == 'yes' || inkthemes_get_option('inkthemes_author') == '') { ?>
                                        <li class="posted_by"><span><?php _e('By', 'colorway'); ?> </span><?php the_author_posts_link(); ?><span> /</span></li>
                                    <?php } ?>
                                    <?php if (inkthemes_get_option('inkthemes_categories') == 'yes' || inkthemes_get_option('inkthemes_categories') == '') { ?>
                                        <li class="posted_in"><?php the_category(', '); ?><span> /</span></li>
                                    <?php } ?>
                                    <?php if (inkthemes_get_option('inkthemes_date') == 'yes' || inkthemes_get_option('inkthemes_date') == '') { ?>
                                        <li class="post_date"><?php the_time('F j, Y'); ?><span> /</span></li>
                                    <?php } ?>
                                    <?php if (inkthemes_get_option('inkthemes_comments') == 'yes' || inkthemes_get_option('inkthemes_comments') == '') { ?>
                                        <li class="postc_comment"><span><i class="fa fa-comments hi-icon"></i></span><?php comments_popup_link(__('No Comments.', 'colorway'), __('1 Comment.', 'colorway'), __('% Comments.', 'colorway')); ?></li>
                                    <?php } ?>
                                </ul>


                                <?php the_excerpt(); ?>
                                <div class="clear"></div>
                                <div class="tags">
                                    <?php the_tags(__('Post Tagged with ', 'colorway'), ', ', ''); ?>
                                </div>
                                <div class="clear"></div>
                              
                                <a href="<?php the_permalink() ?>"><?php _e('Continue Reading...', 'colorway'); ?></a> </li>
                            <!-- End the Loop. -->
                            <?php
                        endwhile;
                    else:
                        ?>
                        <li>
                            <p> <?php _e('Sorry, no posts matched your criteria.', 'colorway'); ?> </p>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
            <?php inkthemes_pagination(); ?>
        </div>
    </div>

    <?php if ($sidebar == 'right') { ?>
        <div class="col-md-4 col-sm-4">
            <div class="sidebar <?php echo $sidebar; ?>">
                <?php get_sidebar(); ?>
            </div>
        </div>
    <?php } ?>
</div>
<div class="clear"></div>
<!--End Content Grid-->
</div>
</div>
<!--End Container Div-->
<?php get_footer(); ?>
