<?php
ob_start();

function inkthemes_setup() {
    add_theme_support('title-tag');
    add_theme_support('post-thumbnails');
    add_theme_support( 'customize-selective-refresh-widgets' );
//    add_theme_support("custom-header");
    add_editor_style();
    add_image_size('post_thumbnail', 270, 200, true);
    //add_image_size('post_home_thumbnail', 260, 350, true);
    add_image_size('colorway_custom_size', 260, 350, true);
    add_theme_support('custom-background', array(
        'default-color' => '#f9f9f9',
            //'default-image' => get_template_directory_uri() . '/images/body-bg.png'
    ));
    add_theme_support('automatic-feed-links');
    register_nav_menu('custom_menu', 'Main Menu');

    load_theme_textdomain('colorway', get_template_directory() . '/languages');

    add_theme_support('custom-header', array(
        //'default-image' => get_template_directory_uri() . '/images/bg-img.jpg',
        'random-default' => false,
        'width' => '',
        'height' => '',
        'flex-height' => true,
        'flex-width' => true,
        'default-text-color' => '',
        'header-text' => true,
        'uploads' => true,
        'wp-head-callback' => '',
        'admin-head-callback' => '',
        'admin-preview-callback' => ''
    ));
}

add_action('after_setup_theme', 'inkthemes_setup');
/* ----------------------------------------------------------------------------------- */
/* Custom Menus Function
  /*----------------------------------------------------------------------------------- */

// Add CLASS attributes to the first <ul> occurence in wp_page_menu
function inkthemes_add_menuclass($ulclass) {
    return preg_replace('/<ul>/', '<ul class="ddsmoothmenu">', $ulclass, 1);
}

add_filter('wp_page_menu', 'inkthemes_add_menuclass');

function inkthemes_nav() {
    if (function_exists('wp_nav_menu'))
        wp_nav_menu(array('theme_location' => 'custom_menu', 'items_wrap' => inkthemes_menu_button(), 'container_id' => 'menu', 'menu_class' => 'sf-menu', 'fallback_cb' => 'inkthemes_nav_fallback'));
    else
        inkthemes_nav_fallback();
}

function inkthemes_nav_fallback() {
    ?>
    <div id="menu">
        <ul class="sf-menu">
            <?php
            wp_list_pages('title_li=&show_home=1&sort_column=menu_order');
            ?>

        </ul>
    </div>
    <?php
}
function inkthemes_menu_button() {    
     // default value of 'items_wrap' is <ul id="%1$s" class="%2$s">%3$s</ul>'  
  // open the <ul>, set 'menu_class' and 'menu_id' values
  $wrap  = '<ul id="%1$s" class="%2$s">';  
  // get nav items as configured in /wp-admin/
  $wrap .= '%3$s';  
  // the static link 
   if (inkthemes_get_option('colorway_button_html') != '' && inkthemes_get_option('btn_on_off')!="off") {
       $wrap .=  "<li class='colorway_button_html'> " . html_entity_decode(inkthemes_get_option('colorway_button_html')) . "</li>";
    }   
  // close the <ul>
  $wrap .= '</ul>';
  // return the result
  return $wrap;
}

function inkthemes_new_nav_menu_items($items) {
    if (is_home()) {
        $homelink = '<li class="current_page_item">' . '<a href="' . home_url('/') . '">' . __('Home', 'colorway') . '</a></li>';
    } else {
        $homelink = '<li>' . '<a href="' . home_url('/') . '">' . 'Home' . '</a></li>';
    } 
    if (inkthemes_get_option('colorway_button_html') != '' && inkthemes_get_option('btn_on_off')!="off") {
       $items .= "<li class='colorway_button_html'> " . html_entity_decode(inkthemes_get_option('colorway_button_html')) . "</li>";
    }        
    $items = $homelink.$items;
    return $items;
}

add_filter('wp_list_pages', 'inkthemes_new_nav_menu_items');

//function add_last_nav_item($items) {
//  echo $items .= inkthemes_menu_button();
//}
//add_filter('wp_nav_menu_menu_items','add_last_nav_item');

/* ----------------------------------------------------------------------------------- */
/* Breadcrumbs Plugin
  /*----------------------------------------------------------------------------------- */

function inkthemes_breadcrumbs() {
    $delimiter = '&raquo;';
    $home = __('Home', 'colorway'); // text for the 'Home' link
    $before = '<span class="current">'; // tag before the current crumb
    $after = '</span>'; // tag after the current crumb
    echo '<div id="crumbs">';
    global $post;
    $homeLink = esc_url(home_url());
    echo '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    if (is_category()) {
        global $wp_query;
        $cat_obj = $wp_query->get_queried_object();
        $thisCat = $cat_obj->term_id;
        $thisCat = get_category($thisCat);
        $parentCat = get_category($thisCat->parent);
        if ($thisCat->parent != 0)
            echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
        echo $before . __('Archive by category', 'colorway') . ' "' . single_cat_title('', false) . '"' . $after;
    }
    elseif (is_day()) {
        echo '<a href="' . esc_url(get_year_link(get_the_time('Y'))) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
        echo '<a href="' . esc_url(get_month_link(get_the_time('Y'), get_the_time('m'))) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
        echo $before . get_the_time('d') . $after;
    } elseif (is_month()) {
        echo '<a href="' . esc_url(get_year_link(get_the_time('Y'))) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
        echo $before . get_the_time('F') . $after;
    } elseif (is_year()) {
        echo $before . get_the_time('Y') . $after;
    } elseif (is_single() && !is_attachment()) {
        if (get_post_type() != 'post') {
            $post_type = get_post_type_object(get_post_type());
            $slug = $post_type->rewrite;
            echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a> ' . $delimiter . ' ';
            echo $before . get_the_title() . $after;
        } else {
            $cat = get_the_category();
            $cat = $cat[0];
            echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
            echo $before . get_the_title() . $after;
        }
    } elseif (!is_single() && !is_page() && get_post_type() != 'post') {
        $post_type = get_post_type_object(get_post_type());
        echo $before . $post_type->labels->singular_name . $after;
    } elseif (is_attachment()) {
        $parent = get_post($post->post_parent);
        $cat = get_the_category($parent->ID);
        $cat = $cat[0];
        echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        echo '<a href="' . esc_url(get_permalink($parent)) . '">' . $parent->post_title . '</a> ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
    } elseif (is_page() && !$post->post_parent) {
        echo $before . get_the_title() . $after;
    } elseif (is_page() && $post->post_parent) {
        $parent_id = $post->post_parent;
        $breadcrumbs = array();
        while ($parent_id) {
            $page = get_page($parent_id);
            $breadcrumbs[] = '<a href="' . esc_url(get_permalink($page->ID)) . '">' . get_the_title($page->ID) . '</a>';
            $parent_id = $page->post_parent;
        }
        $breadcrumbs = array_reverse($breadcrumbs);
        foreach ($breadcrumbs as $crumb)
            echo $crumb . ' ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
    } elseif (is_search()) {
        echo $before . __('Search results for', 'colorway') . ' "' . get_search_query() . '"' . $after;
    } elseif (is_tag()) {
        echo $before . __('Posts tagged ', 'colorway') . '"' . single_tag_title('', false) . '"' . $after;
    } elseif (is_author()) {
        global $author;
        $userdata = get_userdata($author);
        echo $before . __('Articles posted by ', 'colorway') . $userdata->display_name . $after;
    } elseif (is_404()) {
        echo $before . __('Error 404', 'colorway') . $after;
    }
    if (get_query_var('paged')) {
        if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author())
            echo ' (';
        echo __('Page', 'colorway') . ' ' . get_query_var('paged');
        if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author())
            echo ')';
    }
    echo '</div>';
}
if (!function_exists('inkthemes_comment')) :

    /**
     * Template for comments and pingbacks.
     *
     * To override this walker in a child theme without modifying the comments template
     * simply create your own inkthemes_comment(), and that function will be used instead.
     *
     * Used as a callback by wp_list_comments() for displaying the comments.
     */
    function inkthemes_comment($comment, $args, $depth) {
        $GLOBALS['comment'] = $comment;
        switch ($comment->comment_type) :
            case '' :
                ?>
                <li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
                    <div id="comment-<?php comment_ID(); ?>">
                        <div class="comment-author vcard"> <?php echo get_avatar($comment, 40); ?> <?php printf('%s <span class="says">says:</span>' . sprintf('<cite class="fn">%s</cite>', get_comment_author_link())); ?> </div>
                        <!-- .comment-author .vcard -->
                        <?php if ($comment->comment_approved == '0') : ?>
                            <em> <?php echo ('Your comment is awaiting moderation.'); ?> </em> <br />
                        <?php endif; ?>
                        <div class="comment-meta commentmetadata"><a href="<?php echo esc_url(get_comment_link($comment->comment_ID)); ?>">
                                <?php
                                /* translators: 1: date, 2: time */
                                printf('%1$s at %2$s' . get_comment_date(), get_comment_time());
                                ?>
                            </a>
                            <?php edit_comment_link('(Edit)', ' ');
                            ?>
                        </div>
                        <!-- .comment-meta .commentmetadata -->
                        <div class="comment-body">
                            <?php comment_text(); ?>
                        </div>
                        <div class="reply">
                            <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
                        </div>
                        <!-- .reply -->
                    </div>
                    <!-- #comment-##  -->
                    <?php
                    break;
                case 'pingback' :
                case 'trackback' :
                    ?>
                <li class="post pingback">
                    <p> <?php echo ('Pingback:'); ?>
                        <?php comment_author_link(); ?>
                        <?php edit_comment_link('(Edit)', ' '); ?>
                    </p>
                    <?php
                    break;
            endswitch;
        }

    endif;

    /**
     * Set the content width based on the theme's design and stylesheet.
     *
     * Used to set the width of images and content. Should be equal to the width the theme
     * is designed for, generally via the style.css stylesheet.
     */
    if (!isset($content_width))
        $content_width = 590;

    /**
     * Register widgetized areas, including two sidebars and four widget-ready columns in the footer.
     *
     * To override inkthemes_widgets_init() in a child theme, remove the action hook and add your own
     * function tied to the init hook.
     * @uses register_sidebar
     */
    function inkthemes_widgets_init() {
        // Area 1, located at the top of the sidebar.
        register_sidebar(array(
            'name' => __('Primary Widget Area', 'colorway'),
            'id' => 'primary-widget-area',
            'description' => __('The primary widget area', 'colorway'),
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '<h2 class="widget-title">',
            'after_title' => '</h2>',
        ));
        // Area 2, located below the Primary Widget Area in the sidebar. Empty by default.
        register_sidebar(array(
            'name' => __('Secondary Widget Area', 'colorway'),
            'id' => 'secondary-widget-area',
            'description' => __('The secondary widget area', 'colorway'),
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '<h2 class="widget-title">',
            'after_title' => '</h2>',
        ));
        // Area 3, located in the footer. Empty by default.
        register_sidebar(array(
            'name' => __('First Footer Widget Area', 'colorway'),
            'id' => 'footer-widget-area1',
            'description' => __('The first footer widget area', 'colorway'),
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '<h4>',
            'after_title' => '</h4>',
        ));
        // Area 4, located in the footer. Empty by default.
        register_sidebar(array(
            'name' => __('Second Footer Widget Area', 'colorway'),
            'id' => 'footer-widget-area2',
            'description' => __('The second footer widget area', 'colorway'),
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '<h4>',
            'after_title' => '</h4>',
        ));
        // Area 5, located in the footer. Empty by default.
        register_sidebar(array(
            'name' => __('Third Footer Widget Area', 'colorway'),
            'id' => 'footer-widget-area3',
            'description' => __('The third footer widget area', 'colorway'),
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '<h4>',
            'after_title' => '</h4>',
        ));
        // Area 6, located in the footer. Empty by default.
        register_sidebar(array(
            'name' => __('Fourth Footer Widget Area', 'colorway'),
            'id' => 'footer-widget-area4',
            'description' => __('The fourth footer widget area', 'colorway'),
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '<h4>',
            'after_title' => '</h4>',
        ));
        // Area 2, located below the Primary Widget Area in the sidebar. Empty by default.
        register_sidebar(array(
            'name' => __('Home Page Left Feature Widget Area', 'colorway'),
            'id' => 'home-page-right-feature-widget-area',
            'description' => __('The Home Page Left Feature widget area', 'colorway'),
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '<h2>',
            'after_title' => '</h2>',
        ));
        //default header
        register_default_headers(array(
            'default-image' => array(
                'url' => get_template_directory_uri() . '/images/3.jpg',
                'thumbnail_url' => get_template_directory_uri() . '/images/3.jpg',
                'description' => __('Default Header Image', 'colorway')
            ),
        ));
    }

    /** Register sidebars by running inkthemes_widgets_init() on the widgets_init hook. */
    add_action('widgets_init', 'inkthemes_widgets_init');

    /**
     * Display navigation to next/previous pages when applicable
     */
    function inkthemes_content_nav($nav_id) {
        global $wp_query;
        if ($wp_query->max_num_pages > 1) :
            ?>
            <nav id="<?php echo $nav_id; ?>">
                <h3 class="assistive-text"><?php echo __('Post navigation', 'colorway'); ?></h3>
                <div class="nav-next">
                    <?php previous_posts_link(__('Newer posts <span class="meta-nav">&rarr;</span>', 'colorway')); ?>
                </div>
                <div class="nav-previous">
                    <?php next_posts_link(__('<span class="meta-nav">&larr;</span> Older posts', 'colorway')); ?>
                </div>  
            </nav>
            <!-- #nav-above -->
            <?php
        endif;
    }

    /**
     * Pagination
     *
     */
    function inkthemes_pagination($pages = '', $range = 2) {
        $showitems = ($range * 2) + 1;
        global $paged;
        if (empty($paged))
            $paged = 1;
        if ($pages == '') {
            global $wp_query;
            $pages = $wp_query->max_num_pages;
            if (!$pages) {
                $pages = 1;
            }
        }
        if (1 != $pages) {
            echo "<ul class='paging'>";
            if ($paged > 2 && $paged > $range + 1 && $showitems < $pages)
                echo "<li><a href='" . get_pagenum_link(1) . "'>&laquo;</a></li>";
            if ($paged > 1 && $showitems < $pages)
                echo "<li><a href='" . get_pagenum_link($paged - 1) . "'>&lsaquo;</a></li>";
            for ($i = 1; $i <= $pages; $i++) {
                if (1 != $pages && (!($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems )) {
                    echo ($paged == $i) ? "<li><a href='" . get_pagenum_link($i) . "' class='current' >" . $i . "</a></li>" : "<li><a href='" . get_pagenum_link($i) . "' class='inactive' >" . $i . "</a></li>";
                }
            }
            if ($paged < $pages && $showitems < $pages)
                echo "<li><a href='" . get_pagenum_link($paged + 1) . "'>&rsaquo;</a></li>";
            if ($paged < $pages - 1 && $paged + $range - 1 < $pages && $showitems < $pages)
                echo "<li><a href='" . get_pagenum_link($pages) . "'>&raquo;</a></li>";
            echo "</ul>\n";
        }
    }

/////////Theme Options
    /* ----------------------------------------------------------------------------------- */
    /* Add Favicon
      /*----------------------------------------------------------------------------------- */
    function inkthemes_childtheme_favicon() {
        if (inkthemes_get_option('colorway_favicon') != '') {
            echo '<link rel="shortcut icon" href="' . inkthemes_get_option('colorway_favicon') . '"/>' . "\n";
        }
    }

    add_action('wp_head', 'inkthemes_childtheme_favicon');
    /* ----------------------------------------------------------------------------------- */
    /* Show analytics code in footer */
    /* ----------------------------------------------------------------------------------- */

    function inkthemes_analytics() {
        $shortname = inkthemes_get_option('of_shortname');
        $output = inkthemes_get_option($shortname . 'colorway_analytics');
        if ($output <> "")
            echo "<script type='text/javascript'>" . stripslashes($output) . "</script>\n";
    }

    add_action('wp_footer', 'inkthemes_analytics');
    /* ----------------------------------------------------------------------------------- */
    /* Custom CSS Styles */
    /* ----------------------------------------------------------------------------------- */

    function inkthemes_of_head_css() {
        $output = '';
        $custom_css = inkthemes_get_option('inkthemes_customcss');
        if ($custom_css <> '') {
            $output .= $custom_css . "\n";
        }
// Output styles
        if ($output <> '') {
            $output = "<!-- Custom Styling -->\n<style type=\"text/css\">\n" . $output . "</style>\n";
            echo $output;
        }
    }

    add_action('wp_head', 'inkthemes_of_head_css');

//Green color style
    function inkthemes_green_css() {
        ?>
        <link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri() . '/css/green.css'; ?>" />
        <?php
    }

    add_action('wp_head', 'inkthemes_green_css');

//Trim excerpt
    function inkthemes_custom_trim_excerpt($length) {
        global $post;
        $explicit_excerpt = $post->post_excerpt;
        if ('' == $explicit_excerpt) {
            $text = get_the_content('');
            $text = apply_filters('the_content', $text);
            $text = str_replace(']]>', ']]>', $text);
        } else {
            $text = apply_filters('the_content', $explicit_excerpt);
        }
        $text = strip_shortcodes($text); // optional
        $text = strip_tags($text);
        $excerpt_length = $length;
        $words = explode(' ', $text, $excerpt_length + 1);
        if (count($words) > $excerpt_length) {
            array_pop($words);
            array_push($words, '[&hellip;]');
            $text = implode(' ', $words);
            $text = apply_filters('the_excerpt', $text);
        }
        return $text;
    }

//Trm post title
    function the_titlesmall($before = '', $after = '', $echo = true, $length = false) {
        $title = get_the_title();
        if ($length && is_numeric($length)) {
            $title = substr($title, 0, $length);
        }
        if (strlen($title) > 0) {
            $title = apply_filters('the_titlesmall', $before . $title . $after, $before, $after);
            if ($echo)
                echo $title;
            else
                return $title;
        }
    }

    ob_clean();

    /*
     * * Enqueue Google Fonts
     */

    function colorway_gfonts_scripts() {
        wp_enqueue_style('colorway-google-fonts', colorway_google_fonts());
        add_action('wp_head', 'colorway_typography');
    }

    add_action('wp_enqueue_scripts', 'colorway_gfonts_scripts');

    $fonts = array('ABeeZee', 'Abel', 'Abril Fatface', 'Aclonica', 'Acme', 'Actor', 'Adamina', 'Advent Pro', 'Aguafina Script', 'Akronim', 'Aladin', 'Aldrich', 'Alef', 'Alegreya', 'Alegreya SC', 'Alex Brush', 'Alfa Slab One', 'Alice', 'Alike', 'Alike Angular', 'Allan', 'Allerta', 'Allerta Stencil', 'Allura', 'Almendra', 'Almendra Display', 'Almendra SC', 'Amarante', 'Amaranth', 'Amatic SC', 'Amethysta', 'Anaheim', 'Andada', 'Andika', 'Angkor', 'Annie Use Your Telescope', 'Anonymous Pro', 'Antic', 'Antic Didone', 'Antic Slab', 'Anton', 'Arapey', 'Arbutus', 'Arbutus Slab', 'Architects Daughter', 'Archivo Black', 'Archivo Narrow', 'Arial Black', 'Arial Narrow', 'Arimo', 'Arizonia', 'Armata', 'Artifika', 'Arvo', 'Asap', 'Asset', 'Astloch', 'Asul', 'Atomic Age', 'Aubrey', 'Audiowide', 'Autour One', 'Average', 'Average Sans', 'Averia Gruesa Libre', 'Averia Libre', 'Averia Sans Libre', 'Averia Serif Libre', 'Bad Script', 'Balthazar', 'Bangers', 'Basic', 'Battambang', 'Baumans', 'Bayon', 'Belgrano', 'Bell MT', 'Bell MT Alt', 'Belleza', 'BenchNine', 'Bentham', 'Berkshire Swash', 'Bevan', 'Bigelow Rules', 'Bigshot One', 'Bilbo', 'Bilbo Swash Caps', 'Bitter', 'Black Ops One', 'Bodoni', 'Bokor', 'Bonbon', 'Boogaloo', 'Bowlby One', 'Bowlby One SC', 'Brawler', 'Bree Serif', 'Bubblegum Sans', 'Bubbler One', 'Buenard', 'Butcherman', 'Butcherman Caps', 'Butterfly Kids', 'Cabin', 'Cabin Condensed', 'Cabin Sketch', 'Caesar Dressing', 'Cagliostro', 'Calibri', 'Calligraffitti', 'Cambo', 'Cambria', 'Candal', 'Cantarell', 'Cantata One', 'Cantora One', 'Capriola', 'Cardo', 'Carme', 'Carrois Gothic', 'Carrois Gothic SC', 'Carter One', 'Caudex', 'Cedarville Cursive', 'Ceviche One', 'Changa One', 'Chango', 'Chau Philomene One', 'Chela One', 'Chelsea Market', 'Chenla', 'Cherry Cream Soda', 'Cherry Swash', 'Chewy', 'Chicle', 'Chivo', 'Cinzel', 'Cinzel Decorative', 'Clara', 'Clicker Script', 'Coda', 'Codystar', 'Combo', 'Comfortaa', 'Coming Soon', 'Concert One', 'Condiment', 'Consolas', 'Content', 'Contrail One', 'Convergence', 'Cookie', 'Copse', 'Corben', 'Corsiva', 'Courgette', 'Courier New', 'Cousine', 'Coustard', 'Covered By Your Grace', 'Crafty Girls', 'Creepster', 'Creepster Caps', 'Crete Round', 'Crimson Text', 'Croissant One', 'Crushed', 'Cuprum', 'Cutive', 'Cutive Mono', 'Damion', 'Dancing Script', 'Dangrek', 'Dawning of a New Day', 'Days One', 'Delius', 'Delius Swash Caps', 'Delius Unicase', 'Della Respira', 'Denk One', 'Devonshire', 'Dhyana', 'Didact Gothic', 'Diplomata', 'Diplomata SC', 'Domine', 'Donegal One', 'Doppio One', 'Dorsa', 'Dosis', 'Dr Sugiyama', 'Droid Arabic Kufi', 'Droid Arabic Naskh', 'Droid Sans', 'Droid Sans Mono', 'Droid Sans TV', 'Droid Serif', 'Duru Sans', 'Dynalight', 'EB Garamond', 'Eagle Lake', 'Eater', 'Eater Caps', 'Economica', 'Electrolize', 'Elsie', 'Elsie Swash Caps', 'Emblema One', 'Emilys Candy', 'Engagement', 'Englebert', 'Enriqueta', 'Erica One', 'Esteban', 'Euphoria Script', 'Ewert', 'Exo', 'Expletus Sans', 'Fanwood Text', 'Fascinate', 'Fascinate Inline', 'Faster One', 'Fasthand', 'Fauna One', 'Federant', 'Federo', 'Felipa', 'Fenix', 'Finger Paint', 'Fjalla One', 'Fjord One', 'Flamenco', 'Flavors', 'Fondamento', 'Fontdiner Swanky', 'Forum', 'Francois One', 'Freckle Face', 'Fredericka the Great', 'Fredoka One', 'Freehand', 'Fresca', 'Frijole', 'Fruktur', 'Fugaz One', 'GFS Didot', 'GFS Neohellenic', 'Gabriela', 'Gafata', 'Galdeano', 'Galindo', 'Garamond', 'Gentium Basic', 'Gentium Book Basic', 'Geo', 'Geostar', 'Geostar Fill', 'Germania One', 'Gilda Display', 'Give You Glory', 'Glass Antiqua', 'Glegoo', 'Gloria Hallelujah', 'Goblin One', 'Gochi Hand', 'Gorditas', 'Goudy Bookletter 1911', 'Graduate', 'Grand Hotel', 'Gravitas One', 'Great Vibes', 'Griffy', 'Gruppo', 'Gudea', 'Habibi', 'Hammersmith One', 'Hanalei', 'Hanalei Fill', 'Handlee', 'Hanuman', 'Happy Monkey', 'Headland One', 'Helvetica Neue', 'Henny Penny', 'Herr Von Muellerhoff', 'Holtwood One SC', 'Homemade Apple', 'Homenaje', 'IM Fell DW Pica', 'IM Fell DW Pica SC', 'IM Fell Double Pica', 'IM Fell Double Pica SC', 'IM Fell English', 'IM Fell English SC', 'IM Fell French Canon', 'IM Fell French Canon SC', 'IM Fell Great Primer', 'IM Fell Great Primer SC', 'Iceberg', 'Iceland', 'Imprima', 'Inconsolata', 'Inder', 'Indie Flower', 'Inika', 'Irish Grover', 'Irish Growler', 'Istok Web', 'Italiana', 'Italianno', 'Jacques Francois', 'Jacques Francois Shadow', 'Jim Nightshade', 'Jockey One', 'Jolly Lodger', 'Josefin Sans', 'Josefin Sans Std Light', 'Josefin Slab', 'Joti One', 'Judson', 'Julee', 'Julius Sans One', 'Junge', 'Jura', 'Just Another Hand', 'Just Me Again Down Here', 'Kameron', 'Karla', 'Kaushan Script', 'Kavoon', 'Keania One', 'Kelly Slab', 'Kenia', 'Khmer', 'Kite One', 'Knewave', 'Kotta One', 'Koulen', 'Kranky', 'Kreon', 'Kristi', 'Krona One', 'La Belle Aurore', 'Lancelot', 'Lateef', 'Lato', 'League Script', 'Leckerli One', 'Ledger', 'Lekton', 'Lemon', 'Lemon One', 'Libre Baskerville', 'Life Savers', 'Lilita One', 'Lily Script One', 'Limelight', 'Linden Hill', 'Lobster', 'Lobster Two', 'Lohit Bengali', 'Lohit Devanagari', 'Lohit Tamil', 'Londrina Outline', 'Londrina Shadow', 'Londrina Sketch', 'Londrina Solid', 'Lora', 'Love Ya Like A Sister', 'Loved by the King', 'Lovers Quarrel', 'Luckiest Guy', 'Lusitana', 'Lustria', 'Macondo', 'Macondo Swash Caps', 'Magra', 'Maiden Orange', 'Mako', 'Marcellus', 'Marcellus SC', 'Marck Script', 'Margarine', 'Marko One', 'Marmelad', 'Marvel', 'Mate', 'Mate SC', 'Maven Pro', 'McLaren', 'Meddon', 'MedievalSharp', 'Medula One', 'Megrim', 'Meie Script', 'Merienda', 'Merienda One', 'Merriweather', 'Merriweather Sans', 'Metal', 'Metal Mania', 'Metamorphous', 'Metrophobic', 'Michroma', 'Milonga', 'Miltonian', 'Miltonian Tattoo', 'Miniver', 'Miss Fajardose', 'Miss Saint Delafield', 'Modern Antiqua', 'Molengo', 'Monda', 'Monofett', 'Monoton', 'Monsieur La Doulaise', 'Montaga', 'Montez', 'Montserrat', 'Montserrat Alternates', 'Montserrat Subrayada', 'Moul', 'Moulpali', 'Mountains of Christmas', 'Mouse Memoirs', 'Mr Bedford', 'Mr Bedfort', 'Mr Dafoe', 'Mr De Haviland', 'Mrs Saint Delafield', 'Mrs Sheppards', 'Muli', 'Mystery Quest', 'Neucha', 'Neuton', 'New Rocker', 'News Cycle', 'Niconne', 'Nixie One', 'Nobile', 'Nokora', 'Norican', 'Nosifer', 'Nosifer Caps', 'Nothing You Could Do', 'Noticia Text', 'Noto Sans', 'Noto Sans UI', 'Noto Serif', 'Nova Cut', 'Nova Flat', 'Nova Mono', 'Nova Oval', 'Nova Round', 'Nova Script', 'Nova Slim', 'Nova Square', 'Numans', 'Nunito', 'OFL Sorts Mill Goudy TT', 'Odor Mean Chey', 'Offside', 'Old Standard TT', 'Oldenburg', 'Oleo Script', 'Oleo Script Swash Caps', 'Open Sans', 'Oranienbaum', 'Orbitron', 'Oregano', 'Orienta', 'Original Surfer', 'Oswald', 'Over the Rainbow', 'Overlock', 'Overlock SC', 'Ovo', 'Oxygen', 'Oxygen Mono', 'PT Mono', 'PT Sans', 'PT Sans Caption', 'PT Sans Narrow', 'PT Serif', 'PT Serif Caption', 'Pacifico', 'Paprika', 'Parisienne', 'Passero One', 'Passion One', 'Pathway Gothic One', 'Patrick Hand', 'Patrick Hand SC', 'Patua One', 'Paytone One', 'Peralta', 'Permanent Marker', 'Petit Formal Script', 'Petrona', 'Philosopher', 'Piedra', 'Pinyon Script', 'Pirata One', 'Plaster', 'Play', 'Playball', 'Playfair Display', 'Playfair Display SC', 'Podkova', 'Poiret One', 'Poller One', 'Poly', 'Pompiere', 'Pontano Sans', 'Port Lligat Sans', 'Port Lligat Slab', 'Prata', 'Preahvihear', 'Press Start 2P', 'Princess Sofia', 'Prociono', 'Prosto One', 'Proxima Nova', 'Proxima Nova Tabular Figures', 'Puritan', 'Purple Purse', 'Quando', 'Quantico', 'Quattrocento', 'Quattrocento Sans', 'Questrial', 'Quicksand', 'Quintessential', 'Qwigley', 'Racing Sans One', 'Radley', 'Raleway', 'Raleway Dots', 'Rambla', 'Rammetto One', 'Ranchers', 'Rancho', 'Rationale', 'Redressed', 'Reenie Beanie', 'Revalia', 'Ribeye', 'Ribeye Marrow', 'Righteous', 'Risque', 'Roboto', 'Roboto Condensed', 'Roboto Slab', 'Rochester', 'Rock Salt', 'Rokkitt', 'Romanesco', 'Ropa Sans', 'Rosario', 'Rosarivo', 'Rouge Script', 'Ruda', 'Rufina', 'Ruge Boogie', 'Ruluko', 'Rum Raisin', 'Ruslan Display', 'Russo One', 'Ruthie', 'Rye', 'Sacramento', 'Sail', 'Salsa', 'Sanchez', 'Sancreek', 'Sansita One', 'Sans Serif', 'Sarina', 'Satisfy', 'Scada', 'Scheherazade', 'Schoolbell', 'Seaweed Script', 'Sevillana', 'Seymour One', 'Shadows Into Light', 'Shadows Into Light Two', 'Shanti', 'Share', 'Share Tech', 'Share Tech Mono', 'Shojumaru', 'Short Stack', 'Siamreap', 'Siemreap', 'Sigmar One', 'Signika', 'Signika Negative', 'Simonetta', 'Sintony', 'Sirin Stencil', 'Six Caps', 'Skranji', 'Slackey', 'Smokum', 'Smythe', 'Snippet', 'Snowburst One', 'Sofadi One', 'Sofia', 'Sonsie One', 'Sorts Mill Goudy', 'Source Code Pro', 'Source Sans Pro', 'Special Elite', 'Spicy Rice', 'Spinnaker', 'Spirax', 'Squada One', 'Stalemate', 'Stalin One', 'Stalinist One', 'Stardos Stencil', 'Stint Ultra Condensed', 'Stint Ultra Expanded', 'Stoke', 'Strait', 'Sue Ellen Francisco', 'Sunshiney', 'Supermercado One', 'Suwannaphum', 'Swanky and Moo Moo', 'Syncopate', 'Tahoma', 'Tangerine', 'Taprom', 'Tauri', 'Telex', 'Tenor Sans', 'Terminal Dosis', 'Terminal Dosis Light', 'Text Me One', 'Thabit', 'The Girl Next Door', 'Tienne', 'Tinos', 'Titan One', 'Titillium Web', 'Trade Winds', 'Trocchi', 'Trochut', 'Trykker', 'Tulpen One', 'Ubuntu', 'Ubuntu Condensed', 'Ubuntu Mono', 'Ultra', 'Uncial Antiqua', 'Underdog', 'Unica One', 'UnifrakturMaguntia', 'Unkempt', 'Unlock', 'Unna', 'VT323', 'Vampiro One', 'Varela', 'Varela Round', 'Vast Shadow', 'Vibur', 'Vidaloka', 'Viga', 'Voces', 'Volkhov', 'Vollkorn', 'Voltaire', 'Waiting for the Sunrise', 'Wallpoet', 'Walter Turncoat', 'Warnes', 'Wellfleet', 'Wendy One', 'Wire One', 'Yanone Kaffeesatz', 'Yellowtail', 'Yeseva One', 'Yesteryear', 'Zeyada', 'jsMath cmbx10', 'jsMath cmex10', 'jsMath cmmi10', 'jsMath cmr10', 'jsMath cmsy10', 'jsMath cmti10');
    $fontwt = array('Default', 'normal', 'bold', 'bolder', 'lighter', '100', '200', '300', '400', '500', '600', '700', '800', '900');
    $fontsz = array('8', '9', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '25', '26', '27', '28', '29', '30', '31', '32', '33', '34', '35', '36', '37', '38', '39', '40');

    /* String of Google fonts */

    function colorway_google_fonts() {
        global $fonts;
        global $fontwt;
        global $fontsz;
        $fonts_collection = add_query_arg(array(
            "family" => urlencode(implode("|", $fonts)),
            "font-weight" => implode("|", $fontwt),
            "font-size" => implode("|", $fontsz),
            "subset" => "latin"
                ), 'https://fonts.googleapis.com/css');
        return $fonts_collection;
    }

    /* typography style CSS code function */

    function colorway_typography() {
        global $fonts;
        global $fontwt;
        global $fontsz;

        $index = inkthemes_get_option('typography_logo_family');
        $index0 = inkthemes_get_option('typography_menu_family');
        $index1 = inkthemes_get_option('typography_nav_family');
        $index2 = inkthemes_get_option('typography_heading1');
        $index3 = inkthemes_get_option('typography_heading2');
        $index4 = inkthemes_get_option('typography_heading3');
        $index5 = inkthemes_get_option('typography_heading4');
        $index6 = inkthemes_get_option('typography_heading5');
        $index7 = inkthemes_get_option('typography_heading6');
        $index8 = inkthemes_get_option('typography_para');


        $fontweight = inkthemes_get_option('typography_title_fontweight');
        $fontweight0 = inkthemes_get_option('typography_tagline_fontweight');
        $fontweight1 = inkthemes_get_option('typography_fontweight_heading1');
        $fontweight2 = inkthemes_get_option('typography_fontweight_heading2');
        $fontweight3 = inkthemes_get_option('typography_fontweight_heading3');
        $fontweight4 = inkthemes_get_option('typography_fontweight_heading4');
        $fontweight5 = inkthemes_get_option('typography_fontweight_heading5');
        $fontweight6 = inkthemes_get_option('typography_fontweight_heading6');
        $fontweight7 = inkthemes_get_option('typography_fontweight_para');


        $font_btn_size = inkthemes_get_option('typography_btn_fontsize');
        $font_para = inkthemes_get_option('typography_fontsize_para');
        $fontsize1 = inkthemes_get_option('typography_fontsize_heading1');
        $fontsize2 = inkthemes_get_option('typography_fontsize_heading2');
        $fontsize3 = inkthemes_get_option('typography_fontsize_heading3');
        $fontsize4 = inkthemes_get_option('typography_fontsize_heading4');
        $fontsize5 = inkthemes_get_option('typography_fontsize_heading5');
        $fontsize6 = inkthemes_get_option('typography_fontsize_heading6');
        $fontsize7 = inkthemes_get_option('footer_fontsize_para');
        $fontsize8 = inkthemes_get_option('footer_fontsize_link');

        if (inkthemes_get_option('typography_logo_family') != '') {
            echo "<style type='text/css'> h1.site-title, h5.site-description{ font-family: " . $fonts[$index] . "; }</style>";
        }
        if (inkthemes_get_option('typography_menu_family') != '') {
            echo "<style type='text/css'> #menu .sf-menu li a, ul.sf-menu button{ font-family: " . $fonts[$index0] . ", Open Sans;}</style>";
        }
        if (inkthemes_get_option('typography_nav_family') != '') {
            echo "<style type='text/css'> body{ font-family: " . $fonts[$index1] . ";}</style>";
        }
        if (inkthemes_get_option('typography_heading1') != '') {
            echo "<style type='text/css'> h1{ font-family: " . $fonts[$index2] . ";}</style>";
        }
        if (inkthemes_get_option('typography_heading2') != '') {
            echo "<style type='text/css'> h2{ font-family: " . $fonts[$index3] . ";}</style>";
        }
        if (inkthemes_get_option('typography_heading3') != '') {
            echo "<style type='text/css'> h3{ font-family: " . $fonts[$index4] . ";}</style>";
        }
        if (inkthemes_get_option('typography_heading4') != '') {
            echo "<style type='text/css'> h4{ font-family: " . $fonts[$index5] . "; }</style>";
        }
        if (inkthemes_get_option('typography_heading5') != '') {
            echo "<style type='text/css'> h5{ font-family: " . $fonts[$index6] . ";}</style>";
        }
        if (inkthemes_get_option('typography_heading6') != '') {
            echo "<style type='text/css'> h6{ font-family: " . $fonts[$index7] . ";}</style>";
        }
        if (inkthemes_get_option('typography_para') != '') {
            echo "<style type='text/css'> p{ font-family: " . $fonts[$index8] . ";}</style>";
        }

        //Font Weight Typography
        if (inkthemes_get_option('typography_title_fontweight') != '') {
            echo "<style type='text/css'> h1.site-title{ font-weight: " . $fontwt[$fontweight] . "; }</style>";
        }
        if (inkthemes_get_option('typography_tagline_fontweight') != '') {
            echo "<style type='text/css'> h5.site-description{ font-weight: " . $fontwt[$fontweight0] . "; }</style>";
        }
        if (inkthemes_get_option('typography_fontweight_heading1') != '') {
            echo "<style type='text/css'> h1{ font-weight: " . $fontwt[$fontweight1] . "; }</style>";
        }
        if (inkthemes_get_option('typography_fontweight_heading2') != '') {
            echo "<style type='text/css'> h2{ font-weight: " . $fontwt[$fontweight2] . "; }</style>";
        }
        if (inkthemes_get_option('typography_fontweight_heading3') != '') {
            echo "<style type='text/css'> h3{ font-weight: " . $fontwt[$fontweight3] . "; }</style>";
        }
        if (inkthemes_get_option('typography_fontweight_heading4') != '') {
            echo "<style type='text/css'> h4{ font-weight: " . $fontwt[$fontweight4] . "; }</style>";
        }
        if (inkthemes_get_option('typography_fontweight_heading5') != '') {
            echo "<style type='text/css'> h5{ font-weight: " . $fontwt[$fontweight5] . "; }</style>";
        }
        if (inkthemes_get_option('typography_fontweight_heading6') != '') {
            echo "<style type='text/css'> h6{ font-weight: " . $fontwt[$fontweight6] . "; }</style>";
        }
        if (inkthemes_get_option('typography_fontweight_para') != '') {
            echo "<style type='text/css'> p{ font-weight: " . $fontwt[$fontweight7] . "; }</style>";
        }

        if (inkthemes_get_option('typography_btn_fontsize') != '') {
            echo "<style type='text/css'> li.colorway_button_html button{ font-size: " . $fontsz[$font_btn_size] . "px; }</style>";
        }
        if (inkthemes_get_option('typography_fontsize_para') != '') {
            echo "<style type='text/css'> .cw-content p{ font-size: " . $fontsz[$font_para] . "px; }</style>";
        }
        if (inkthemes_get_option('typography_fontsize_heading1') != '') {
            echo "<style type='text/css'> h1{ font-size: " . $fontsz[$fontsize1] . "px; }</style>";
        }
        if (inkthemes_get_option('typography_fontsize_heading2') != '') {
            echo "<style type='text/css'> h2{ font-size: " . $fontsz[$fontsize2] . "px; }</style>";
        }
        if (inkthemes_get_option('typography_fontsize_heading3') != '') {
            echo "<style type='text/css'> h3{ font-size: " . $fontsz[$fontsize3] . "px; }</style>";
        }
        if (inkthemes_get_option('typography_fontsize_heading4') != '') {
            echo "<style type='text/css'> h4{ font-size: " . $fontsz[$fontsize4] . "px; }</style>";
        }
        if (inkthemes_get_option('typography_fontsize_heading5') != '') {
            echo "<style type='text/css'> h5{ font-size: " . $fontsz[$fontsize5] . "px; }</style>";
        }
        if (inkthemes_get_option('typography_fontsize_heading6') != '') {
            echo "<style type='text/css'> .footer-container h6, .footer .widget_inner h4{ font-size: " . $fontsz[$fontsize6] . "px; }</style>";
        }
        if (inkthemes_get_option('footer_fontsize_para') != '') {
            echo "<style type='text/css'> .footer p, .footer a{ font-size: " . $fontsz[$fontsize7] . "px; }</style>";
        }
        if (inkthemes_get_option('footer_fontsize_link') != '') {
            echo "<style type='text/css'> .footer-navi a{ font-size: " . $fontsz[$fontsize8] . "px; }</style>";
        }
    }

    function menu_link_color_styles() {
        $header_bg = inkthemes_get_option('header_bg_color');
        $site_title = inkthemes_get_option('site_title_color');
        $site_tagline = inkthemes_get_option('site_tagline_color');
        $menu_color = inkthemes_get_option('menu_link_color');
        $menu_hover_color = inkthemes_get_option('menu_hover_color');
        $menu_bg_color = inkthemes_get_option('menu_background_color');
        $menu_bg_hover_color = inkthemes_get_option('menu_background_hover_color');

        $button_color = inkthemes_get_option('button_link_color');
        $button_hover_color = inkthemes_get_option('button_link_hover_color');
        $button_bg_color = inkthemes_get_option('button_bg_color');
        $button_bg_hover = inkthemes_get_option('button_bg_hover_color');

        $theme_link = inkthemes_get_option('theme_link_color');
        $theme_link_hover = inkthemes_get_option('theme_link_hover_color');
        $theme_h1 = inkthemes_get_option('theme_h1_color');
        $theme_h2 = inkthemes_get_option('theme_h2_color');
        $theme_h3 = inkthemes_get_option('theme_h3_color');
        $theme_h4 = inkthemes_get_option('theme_h4_color');
        $theme_h5 = inkthemes_get_option('theme_h5_color');
        $theme_h6 = inkthemes_get_option('theme_h6_color');
        $theme_para = inkthemes_get_option('theme_para_color');

        $footer_link = inkthemes_get_option('footer_link_color');
        $footer_link_hover = inkthemes_get_option('footer_link_hover_color');
        $footer_text = inkthemes_get_option('footer_text_color');
        $footer_col = inkthemes_get_option('footer_col_bg_color');
        $footer_bottom = inkthemes_get_option('bottom_footer_bg_color');

        $btn_rad = get_option('btn_rad');
        $btn_h_pad = get_option('btn_h_pad');
        $btn_v_pad = get_option('btn_v_pad');
        
//       $header_height = get_option('header_height');
        
        $header_v_pad = get_option('header_v_pad');
        $bottom_footer_css = get_option('container-layout');
      
        if($bottom_footer_css == 'container'){
            echo "<style type='text/css'>.footer-navi {
    margin-bottom: 60px;}</style>";            
        }
        
        if ($btn_rad != '') {
            echo '<style type="text/css">ul.sf-menu li.colorway_button_html button{ border-radius:' . $btn_rad . 'px;}'
                    . 'ul.sf-menu li.colorway_button_html span button { border-radius: 50%;}</style>';
        }       
        
        if ($btn_h_pad != '') {
            echo '<style type="text/css">ul.sf-menu li.colorway_button_html button{ padding:' . $btn_v_pad . 'px ' . $btn_h_pad . 'px;}'
            . 'ul.sf-menu li.colorway_button_html span button { padding: inherit;}</style>';
        }
        
        if ($header_bg != '#000') {
            ?>
            <style type="text/css">
                .container-h {
                    background-color: <?php echo $header_bg; ?>;
                }
            </style>
            <?php
        }
        if ($site_title != '#000') {
            ?>
            <style type="text/css">
                h1.site-title {
                    color: <?php echo $site_title; ?>;
                }
            </style>
            <?php
        }
        if ($site_tagline != '#000') {
            ?>
            <style type="text/css">
                h5.site-description {
                    color: <?php echo $site_tagline; ?>;
                }
            </style>
            <?php
        }
//        if ($header_height != '') {
//            echo '<style type="text/css">.header{ height:' . $header_height . 'px;}</style>';
//        }
        if ($header_v_pad != '') {
            echo '<style type="text/css">.header{ padding:' . $header_v_pad . 'px 0;}</style>';
        }
        
        if ($menu_color != '#000') {
            ?>
            <style type="text/css">
                #menu .sf-menu li a, #menu .sf-menu li li a:hover {
                    color: <?php echo $menu_color; ?>;
                }
            </style>
            <?php
        }
        if ($menu_hover_color != '#2B4908') {
            ?>
            <style type="text/css">
                #menu .sf-menu li a:hover, #menu .sf-menu li li a:link {
                    color: <?php echo $menu_hover_color; ?>;
                }
            </style>
            <?php
        }
        if ($menu_bg_color != '#2B4908') {
            ?>
            <style type="text/css">
                #menu li.current_page_item a, #menu li.current_page_parent a {
                    background-color: <?php echo $menu_bg_color; ?>;
                }
            </style>
            <?php
        }
        if ($menu_bg_hover_color != '#2B4908') {
            ?>
            <style type="text/css">
                #menu li.current_page_item a:hover,#menu .sf-menu li a:hover, #menu .sf-menu li button:hover {
                    background-color: <?php echo $menu_bg_hover_color; ?>;
                }
            </style>
            <?php
        }
        if ($button_color != '#2B4908') {
            ?>
            <style type="text/css">
                ul.sf-menu button {
                    color: <?php echo $button_color; ?>;
                }
            </style>
            <?php
        }
        if ($button_hover_color != '#2B4908') {
            ?>
            <style type="text/css">
                ul.sf-menu button:hover {
                    color: <?php echo $button_hover_color; ?>;
                }
            </style>
            <?php
        }
        if ($button_bg_color != '#2B4908') {
            ?>
            <style type="text/css">
                ul.sf-menu button, #menu .sf-menu li li {
                    background-color: <?php echo $button_bg_color; ?>;
                }
            </style>
            <?php
        }
        if ($button_bg_hover != '#2B4908') {
            ?>
            <style type="text/css">
                #menu .sf-menu li button:hover {
                    background-color: <?php echo $button_bg_hover; ?>;
                }
            </style>
            <?php
        }
        if ($theme_link != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content a, .elementor a {
                    color: <?php echo $theme_link; ?>;
                }
            </style>
            <?php
        }
        if ($theme_link_hover != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content a:hover, .elementor a:hover {
                    color: <?php echo $theme_link_hover; ?>;
                }
            </style>
            <?php
        }
        if ($theme_h1 != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content h1, .elementor h1{
                    color: <?php echo $theme_h1; ?>;
                }
            </style>
            <?php
        }
        if ($theme_h2 != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content h2, .elementor h2 {
                    color: <?php echo $theme_h2; ?>;
                }
            </style>
            <?php
        }
        if ($theme_h3 != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content h3, .elementor h3 {
                    color: <?php echo $theme_h3; ?>;
                }
            </style>
            <?php
        }
        if ($theme_h4 != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content h4, .elementor h4 {
                    color: <?php echo $theme_h4; ?>;
                }
            </style>
            <?php
        }
        if ($theme_h5 != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content h5, .elementor h5 {
                    color: <?php echo $theme_h5; ?>;
                }
            </style>
            <?php
        }
        if ($theme_h6 != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content h6, .elementor h6{
                    color: <?php echo $theme_h6; ?>;
                }
            </style>
            <?php
        }
        if ($theme_para != '#2B4908') {
            ?>
            <style type="text/css">
                .cw-content p, .elementor p {
                    color: <?php echo $theme_para; ?>;
                }
            </style>
            <?php
        }
        if ($footer_link != '#fff') {
            ?>
            <style type="text/css">
                .footer-navi a {
                    color: <?php echo $footer_link; ?>;
                }
            </style>
            <?php
        }
        if ($footer_link_hover != '#fff') {
            ?>
            <style type="text/css">
                .footer-navi a:hover {
                    color: <?php echo $footer_link_hover; ?>;
                }
            </style>
            <?php
        }
        if ($footer_text != '#fff') {
            ?>
            <style type="text/css">
                .footer h1, .footer h2,.footer h3, .footer h4, .footer h5, .footer h6, .footer p {
                    color: <?php echo $footer_text; ?>;
                }
            </style>
            <?php
        }
        if ($footer_col != '#4F7327') {
            ?>
            <style type="text/css">
                .footer-container {
                    background-color: <?php echo $footer_col; ?>;
                }
            </style>
            <?php
        }
        if ($footer_bottom != '#2b4908') {
            ?>
            <style type="text/css">
                .footer-navi {
                    background-color: <?php echo $footer_bottom; ?>;
                }
            </style>
            <?php
        }
    }

    add_action('wp_head', 'menu_link_color_styles');

//        /*
//         * Home paget control function
//         */
//
//        $homepage = get_page_by_title('Home', OBJECT, 'page');
//        if ($homepage) {           
//            //fetch value from customizer, if set to Classic Home Page following function will run else 
//            $get_home = inkthemes_get_option('classic_homepage'); 
//                update_post_meta($homepage->ID, '_wp_page_template', $get_home);
//                 update_option('page_on_front', $homepage->ID);
//            update_option('show_on_front', 'page');           
//            
//        }
